aboutsummaryrefslogtreecommitdiffstats
path: root/initcpio/hooks/paccache
diff options
context:
space:
mode:
Diffstat (limited to 'initcpio/hooks/paccache')
-rw-r--r--initcpio/hooks/paccache29
1 files changed, 29 insertions, 0 deletions
diff --git a/initcpio/hooks/paccache b/initcpio/hooks/paccache
new file mode 100644
index 0000000..6e09419
--- /dev/null
+++ b/initcpio/hooks/paccache
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+run_latehook() {
+ local newroot="/new_root/"
+
+ if ! grep -q '^pacserve hosts' ${newroot}/etc/pacredir.conf; then
+ if [[ -n "${pacserve}" ]]; then
+ msg ":: Adding pacserve host '${pacserve}' to pacredir.conf..."
+ echo "pacserve hosts = ${pacserve}" >> ${newroot}/etc/pacredir.conf
+ fi
+ fi
+
+ if ! grep -q '^pacdbserve hosts' ${newroot}/etc/pacredir.conf; then
+ case $(uname -m) in
+ x86_64)
+ if [[ -n "${pacdbserve_x86_64}" ]]; then
+ msg ":: Adding pacdbserve host '${pacdbserve_x86_64}' to pacredir.conf..."
+ echo "pacdbserve hosts = ${pacdbserve_x86_64}" >> ${newroot}/etc/pacredir.conf
+ fi
+ ;;
+ i686)
+ if [[ -n "${pacdbserve_i686}" ]]; then
+ msg ":: Adding pacdbserve host '${pacdbserve_i686}' to pacredir.conf..."
+ echo "pacdbserve hosts = ${pacdbserve_i686}" >> ${newroot}/etc/pacredir.conf
+ fi
+ ;;
+ esac
+ fi
+}